[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: qt + opengl + nvidia

On Monday 08 May 2006 04:52, Martin Juhlin wrote:
> Hi,
> I having problems with QT + OpenGL, probably related to the nvidia driver
> that I'm running. I compiled the qt3-examples and was trying to run but for
> some reasons they don't display and 3D. The area in the application is just
> black. I get no error message.
> I have check with the ldd that the examples is compiled against
> "libqt-mt.so.3", which is correct according to the readme file. I also
> installed mesademos to test my opengl support and they are running without
> trouble. mesademos contains a "glinfo" program and that is reporting
> gl_version "1.5.3 NVIDIA 71.74".
> The conclusion that I have is that opengl is working in my system, but not
> in QT. Does anyone have an idea to fix it?
I have no problem on my system (although I have shifted to gtkmm ...). 

I recently compiled the qt3 demos so I have the output of my 
ldd on the box demo for instance - if this helps you.

mlaks@Rashi:~/qt3/qt3-examples/examples/opengl/box$ ldd box
./box: /home/mlaks/stable_gtk/local/lib/libpng12.so.0: no version information 
available (required by /usr/lib/libqt-mt.so.3)
        libqt-mt.so.3 => /usr/lib/libqt-mt.so.3 (0x00002ac4808bb000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00002ac4813af000)
        libpng12.so.0 => /home/mlaks/stable_gtk/local/lib/libpng12.so.0 
        libz.so.1 => /usr/lib/libz.so.1 (0x00002ac48160c000)
        libGLU.so.1 => /usr/lib/libGLU.so.1 (0x00002ac481723000)
        libGL.so.1 => /usr/lib/libGL.so.1 (0x00002ac4818a1000)
        libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x00002ac481a56000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0x00002ac481b70000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00002ac481c78000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00002ac481d81000)
        libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00002ac481e85000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00002ac481f8f000)
        libXft.so.2 => /usr/lib/libXft.so.2 (0x00002ac482091000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00002ac4821a6000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00002ac482321000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00002ac482460000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00002ac482572000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x00002ac48274f000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x00002ac482859000)
        libdl.so.2 => /lib/libdl.so.2 (0x00002ac482975000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00002ac482a78000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00002ac482b8d000)
        libm.so.6 => /lib/libm.so.6 (0x00002ac482d90000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00002ac482f16000)
        libc.so.6 => /lib/libc.so.6 (0x00002ac483023000)
        libaudio.so.2 => /usr/lib/libaudio.so.2 (0x00002ac483263000)
        libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x00002ac48337b000)
        libGLcore.so.1 => /usr/lib/libGLcore.so.1 (0x00002ac4834dd000)
        libnvidia-tls.so.1 => /usr/lib/tls/libnvidia-tls.so.1 
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00002ac483e5d000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00002ac483f80000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00002ac484082000)
        /lib64/ld-linux-x86-64.so.2 (0x00002ac4807a3000)

Ignore the png library as that was set by my local gtk development 
environment :)

Good luck

> Best regards
>     Martin

Reply to: